@use '../../styles/base//breakpoints' as bp;

:root {
  --heading-top-margin: 2rem;
  --heading-bottom-margin: 1rem;
  --heading-1-bottom-margin: 3rem;
  --heading-1-font-size: 2rem;
  --heading-1-line-height: 1.25;
  --heading-2-font-size: 1.5rem;

  @include bp.below('sm') {
    --heading-top-margin: 0.5rem;
    --heading-1-font-size: 1.5rem;
    --heading-1-bottom-margin: 1rem;
    --heading-2-font-size: 1.25rem;
  }
}

.heading {
  &-1 {
    font-size: var(--heading-1-font-size);
    line-height: var(--heading-1-line-height);
    margin-bottom: var(--heading-1-bottom-margin);
  }

  &-2 {
    font-size: var(--heading-2-font-size);
  }

  &-1,
  &-2 {
    margin-top: var(--heading-top-margin);
  }
}
